Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.aspect
Class DefaultMixinFactory

    java.lang.Object
      org.codehaus.aspectwerkz.aspect.AbstractMixinFactory
          org.codehaus.aspectwerkz.aspect.DefaultMixinFactory

All Implemented Interfaces:
  MixinFactory

    public class DefaultMixinFactory

extends AbstractMixinFactory

Abstract base class for the mixin factory implementations.

Author:
  Jonas Bonr , Alexandre Vasseur

Field Summary

Fields inherited from class org.codehaus.aspectwerkz.aspect.AbstractMixinFactory
`m_defaultConstructor, m_deploymentModel, m_mixinClass, m_perClassConstructor, m_perInstanceConstructor`

Constructor Summary
`DefaultMixinFactory(Class mixinClass, DeploymentModel deploymentModel)` Creates a new default mixin factory.

Method Summary
`Object` | `mixinOf()` Creates a new perJVM mixin instance.
`Object` | `mixinOf(Class klass)` Creates a new perClass mixin instance.
`Object` | `mixinOf(Object instance)` Creates a new perInstance mixin instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultMixinFactory

    public DefaultMixinFactory(Class mixinClass,
                               DeploymentModel deploymentModel)

  Creates a new default mixin factory.

  Parameters:
    `mixinClass` -
    `deploymentModel` -

Method Detail

### mixinOf

    public Object mixinOf()

  Creates a new perJVM mixin instance.

  Specified by:
    `mixinOf` in interface `MixinFactory`
  Specified by:
    `mixinOf` in class `AbstractMixinFactory`
  Returns:
    the mixin instance

### mixinOf

    public Object mixinOf(Class klass)

  Creates a new perClass mixin instance.

  Specified by:
    `mixinOf` in interface `MixinFactory`
  Specified by:
    `mixinOf` in class `AbstractMixinFactory`
  Parameters:
    `klass` -
  Returns:
    the mixin instance

### mixinOf

    public Object mixinOf(Object instance)

  Creates a new perInstance mixin instance.

  Specified by:
    `mixinOf` in interface `MixinFactory`
  Specified by:
    `mixinOf` in class `AbstractMixinFactory`
  Parameters:
    `instance` -
  Returns:
    the mixin instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.